<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.enums.InterpolationType Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>enums</b>.<a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html">InterpolationType</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.enums.InterpolationType Class Reference<br/>
<small>
[<a class="el" href="group__ENUMS.html">1: Enum APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::enums::InterpolationType" --><!-- doxytag: inherits="enum::Enum" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Interpollation type (OpenVX equivalent = vx_interpolation_type_e). </p>
<dl class="user"><dt><b>Example usage:</b></dt><dd><div class="fragment"><pre class="fragment"> InterpolationType.NEAREST_NEIGHBOR
 InterpolationType.BILINEAR
</pre></div> </dd></dl>

<p><a href="classtiovx_1_1enums_1_1InterpolationType-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c4f610d70bc03818ab35787d0244f20"></a><!-- doxytag: member="tiovx::enums::InterpolationType::NEAREST_NEIGHBOR" ref="a9c4f610d70bc03818ab35787d0244f20" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html#a9c4f610d70bc03818ab35787d0244f20">NEAREST_NEIGHBOR</a> = 1</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_INTERPOLLATION_TYPE_NEAREST_NEIGHBOR. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad62a9907a65eb811663ea4e7285ca101"></a><!-- doxytag: member="tiovx::enums::InterpolationType::BILINEAR" ref="ad62a9907a65eb811663ea4e7285ca101" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html#ad62a9907a65eb811663ea4e7285ca101">BILINEAR</a> = 2</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_INTERPOLLATION_TYPE_BILINEAR. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e9b5a7d727e90e35b143fbea04453c8"></a><!-- doxytag: member="tiovx::enums::InterpolationType::AREA" ref="a5e9b5a7d727e90e35b143fbea04453c8" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html#a5e9b5a7d727e90e35b143fbea04453c8">AREA</a> = 3</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_INTERPOLLATION_TYPE_AREA. <br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
